Subject: Re: 23.0.60; frame size issue (--geometry or default-frame-alist) when using customized default face

From: "Tim Van Holder" <[email-masked]>
Date: Thu, 9 Oct 2008 10:09:57 +0200

2008/10/9 Chong Yidong <[email-masked]>:
> "Tim Van Holder" <[email-masked]> writes:
>
>> Unfortunately, even after a maintainer-clean + make bootstrap, the
>> issue is not resolved for me.  In fact, the very first run of the new
>> emacs resulted in a frame that was 168x61 instead of 132x57 (is that
>> 132x60->132x57 as a result of menu/toolbars considered a bug or a
>> feature?).
>
> What window manager are you using?

metacity (2.14.5)

> Also, does the following change (which disables window manager size
> hints) have any effect?

Yes.
Effects seen:
- there seems to be a little less resizing during startup
- no popup with the frame size when grabbing the border to resize
- resizing doesn't "snap" to character size (so when resizing it's possibly
  to get small black borders below the minibuffer and next to the scrollbar
- starts up with a 132x60 frame (checked by comparing with a frame from
  yesterday's build); after 20 runs it still hasn't shown a different size